000029722 - RSA Access Manager Agent 5.0 SP2 for Web for Apache installer errors with the message "Unable to locate web server"

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support on Feb 1, 2018
Version 3Show Document
  • View in full screen mode

Article Content

Article Number000029722
Applies ToRSA Product Set: ClearTrust
RSA Product/Service Type:  RSA Access Manager Agent
RSA Version/Condition: 5.0 SP2
Platform: UNIX
O/S Version: Solaris 10
IssueWhen attempting to install the RSA Access Manager Agent 5.0 SP2 for Web for Apache, the installer reports the following error:

Unable to locate web server. Please provide the path where the web server is installed.
ResolutionThe agent installer uses the configure-apache2.sh script to validate the version of Apache and to confirm that Apache is installed and can run.   To do this, it executes the following command and receives the following result:

httpd -v | grep "Server version"
Server version: Apache/2.2.3
Server built: Oct 28 2008 07:22:45


If this command does not return a valid result, the installer assumes that Apache is not present in the location specified.  Run the command httpd -v | grep "Server version" manually and ensure it returns a valid result.   If it does not, contact your Apache vendor and resolve the issues with Apache before continuing. 

Some third party Apache installations may not have the httpd program binary in the default location, or may use apachectl to start the server instead.  Run the command whereis httpd.  The location returned is the actual location of the Apache httpd binary.  Create a symbolic link to http so that it appears in the /bin/ directory for the installer's purpose. 
 

Attachments

    Outcomes